Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1358762

Summary: hplip tools don't work correctly on Fedora 24 - laserjet printer doesn't work after upgrade
Product: [Fedora] Fedora Reporter: Nineth <udayreddy>
Component: hplipAssignee: Zdenek Dohnal <zdohnal>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 24CC: jpopelka, twaugh, udayreddy, zdohnal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-12 07:03:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nineth 2016-07-21 12:21:36 UTC
Description of problem:
hp-setup is unable to disable smart install on LaserJet printers. I have a p1606dn and it no longer works after upgrade to Fedora 24 - used to work with Fedora 23. There are multiple problems. The hp-setup utility tries to download the script to disable smart install, but the URL used in it gives a 404. Older scripts that could disable smart install are no longer able to disable smart install (i.e., prevent it from being viewed as a mass storage device), although they report that smart install was disabled.

This is where hp-setup tries to download the smart install disable script - it doesn't exist

http://hplipopensource.com/hplip-web/smartinstall/SmartInstallDisable-Tool.run

Version-Release number of selected component (if applicable):
3.16.5-2.fc24

How reproducible:

Always.


Steps to Reproduce:
1. Run hp-setup and try to install a HP USB printer (like p1606dn) that has smart install enabled

Actual results:

$ lsusb
Bus 002 Device 002: ID 8087:0020 Intel Corp. 
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 
Bus 001 Device 007: ID 046d:082d Logitech, Inc. HD Pro Webcam C920
Bus 001 Device 006: ID 0451:8043 Texas Instruments, Inc. 
Bus 001 Device 005: ID 046d:c06a Logitech, Inc. USB Optical Mouse
Bus 001 Device 013: ID 03f0:0a2a Hewlett-Packard 
Bus 001 Device 003: ID 1532:011a Razer USA, Ltd 
Bus 001 Device 002: ID 8087:0020 Intel Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 

[uday@ukr ~/Downloads]₹ lsusb -v -s 001:013 | grep bInterfaceClass
can't get debug descriptor: Resource temporarily unavailable
      bInterfaceClass         8 Mass Storage

In addition:

[uday@ukr ~/Downloads]₹ ./SmartInstallDisable-Tool.run 
Creating directory SmartInstallDisable-Tool
Verifying archive integrity... All good.
Uncompressing Smart Install Disable Utility Self Extracting Archive.......
[SMART INSTALL DISABLE UTILITY]
Installed Libusb package version is 1.0
System Architecture is 64 bit
Running command hp-SIDisable-x86_64-1.0
Waiting on device.....

*******************************

DEVICE	 : SMARTINSTALL STATUS
===============================
HP LaserJet Professional P1606dn 	 : Smart Install disabled

Work Done

$ lsusb -v -s 001:013 | grep bInterfaceClass
can't get debug descriptor: Resource temporarily unavailable
      bInterfaceClass         8 Mass Storage

Ultimately, the printer no longer works

Expected results:

Smart install should have been disabled, but is still enabled


Additional info:

Comment 1 Nineth 2016-07-21 12:32:05 UTC
And here's the error when running hp-setup

$ hp-setup 

HP Linux Imaging and Printing System (ver. 3.16.5)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Searching... (bus=usb, search=(None), desc=0)
Receiving digital keys: /usr/bin/gpg --homedir /home/uday/.hplip/.gnupg --no-permission-warning --keyserver pgp.mit.edu --recv-keys 0x4ABA2F66DBD5A95894910E0673D770CDA59047B9
error: Failed to disable smart install.
Please refer link 'http://hplipopensource.com/node/367' for more information
error: No devices found on bus: usb

Done.

Comment 2 Nineth 2016-08-01 05:53:23 UTC
Anything on this? Printers no longer work - this is a critical bug.

Comment 3 Zdenek Dohnal 2016-08-11 10:23:14 UTC
Hi Nineth,

is it still issue after your reinstall of hplip?

Comment 4 Nineth 2016-08-11 15:07:48 UTC
This issue goes away after the reinstall. Not sure what went wrong during the upgrade process.